Page MenuHomePhabricator

Investigate updating browser versions in Jenkins builds.
Closed, ResolvedPublic

Description

This build should not be failing in this way, it might be related to running older versions of the browser. https://integration.wikimedia.org/ci/view/BrowserTests/view/-All/job/browsertests-Flow-en.wikipedia.beta.wmflabs.org-linux-firefox-sauce/585/testReport/

Event Timeline

Cmcmahon updated the task description. (Show Details)
Cmcmahon raised the priority of this task from to Needs Triage.
Cmcmahon added a subscriber: Cmcmahon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 8:45 PM

Note that we don't do it, but it is possible to specify the version of Selenium for the SauceLabs jobs. As soon as they are supported at Sauce, we should upgrade to Selenium 2.45 and Chrome 41

Note: I set the version of Chrome manually in Jenkins for VE and the test went back to green. https://integration.wikimedia.org/ci/job/browsertests-VisualEditor-en.wikipedia.beta.wmflabs.org-linux-chrome-sauce/

Cmcmahon updated the task description. (Show Details)Mar 11 2015, 2:39 PM
Cmcmahon set Security to None.
Cmcmahon added a subscriber: zeljkofilipin.

Wait, I am not sure what is the problem here. The first job is a Firefox job, the second job is Chrome job.

Firefox job failed maybe because Flow was using selenium-webdriver 2.44.0

00:00:10.958 Using selenium-webdriver 2.44.0

Looks like Flow was updated to use the newer version since.

Chrome job has 26 failed scenarios, all with the same error message:

00:01:11.244       SSL_connect returned=1 errno=0 state=SSLv3 read server certificate B: certificate verify failed (RestClient::SSLCertificateNotVerified)
zeljkofilipin triaged this task as Normal priority.Mar 26 2015, 11:54 AM
zeljkofilipin closed this task as Resolved.Apr 3 2015, 1:58 PM

All browsertests Jenkins jobs are updated to the latest versions supported by Sauce labs: https://gerrit.wikimedia.org/r/#/c/200512/

StructuredDiscussions jobs are still failing, tracked in T94153: Fix Flow scenarios that fail at en.wikipedia.beta.wmflabs.org or do not run them daily

greg moved this task from To Triage to Done on the Release-Engineering-Team board.Apr 3 2015, 4:11 PM